#!/bin/bash

if [ $# -lt 2 ]; then
    echo "usage: $0 <dive_profile1.xml> <dive_profile2.xml>"
    exit 1
fi

infile1=$1
basename1=${infile1%.*}
basename1=${basename1##*/}
date1=$( echo ${basename1} | sed 's/Dive_//')

infile2=$2
basename2=${infile2%.*}
basename2=${basename2##*/}
date2=$( echo ${basename2} | sed 's/Dive_//')

./dm5xml.rb -i ${infile1} > ${basename1}.csv
./dm5xml.rb -i ${infile2} > ${basename2}.csv

gnuplot -e "basename1='${basename1}'; date1='${date1}';basename2='${basename2}'; date2='${date2}'" plot2.gp
